<template>
    <div class="dma-container">
        <div class="content">
             <!-- 左 ------------------------------------------ -->
            <div class="left contbox">
                
                <div class="titbox">
                    <img src="../../../assets/images/screen/irrigate/titbox.png" alt="" srcset="">
                    <span>操作记录</span>
                </div>
                <div class="table-box">
                    <el-table v-loading="loading" :data="tableData" max-height="700px">
                        <el-table-column
                            v-for="(item, key, index) of tableHeader"
                            :prop="key.toString()"
                            :label="item"
                            :key="index"
                            align="center"
                        ></el-table-column>
                    </el-table>
                </div>
            </div>
             <!-- 中 ------------------------------------------ -->
            <div class="main">
                <div class="map">
                  
                    
           
                </div>
                <div >
                    <img class="circle" src="../../../assets/images/screen/irrigate/mapdh.png">
                </div>
            </div>
            <!-- 右 ------------------------------------------ -->
            <div class="right contbox">
                <div class="titbox">
                    <img src="../../../assets/images/screen/irrigate/titbox.png" alt="" srcset="">
                    <span>阀门策略</span>
                </div>
                <div class="table-box">
                    <el-table v-loading="loading" :data="tableData2" max-height="700px">
                        <el-table-column
                            v-for="(item, key, index) of tableHeader2"
                            :prop="key.toString()"
                            :label="item"
                            :key="index"
                            align="center"
                        ></el-table-column>
                        <el-table-column label="操作" width="80" align="center" >
                            <template #default="scope">
                                <!-- <el-button link type="primary" icon="Edit" @click="handleband(scope.row)">参数绑定</el-button> -->
                               <div @click="handleband(scope.row)" class="clcbox">开启 </div>
                            </template>
                        </el-table-column>
                    </el-table>
                </div>
            </div>
        </div>
    </div>
</template>

<script setup>
import { getCurrentInstance,onBeforeUnmount,onMounted } from 'vue';
import  dma from "@/api/screen/dma/index";
import overview from '@/api/screen/overview/index';
import * as echarts from 'echarts'
import pointApi from "@/api/facility/point.js";
const { proxy }= getCurrentInstance()
/**
 * 地图取水点
 */
const pointInfo = ref([
    {name:'监控点1',liquidLevel:'0',flow:'0.00',pressure:'0.00',class:'point-one point'},
    {name:'监控点2',liquidLevel:'0',flow:'0.00',pressure:'0.00',class:'point-two point'},
    {name:'监控点3',liquidLevel:'0',flow:'0.00',pressure:'0.00',class:'point-three point'},
])
const getPointInfo = async () =>{
    await overview().getDataOverview().then((res) => {
        res.data.forEach((item,index1)=> {
            pointInfo.value[index1].name = item.pointName
            item.dataList.forEach((item) => {
                //液位
                // if(item.columnsCode === '1001'){
                //     pointInfo.value[index1].liquidLevel = item.columnsValue
                // }
                //流量
                if(item.columnsCode === '1011'){
                    pointInfo.value[index1].flow = item.columnsValue
                }
                //压力
                if(item.columnsCode === '1002'){
                    pointInfo.value[index1].pressure = item.columnsValue
                }
            })
        })
    })
    pointInfo.value.forEach((item) =>{
        item.flow = Number(item.flow).toFixed(2)
        item.pressure = Number(item.pressure).toFixed(2)
    })
}
getPointInfo()
/**
 * Echarts 图表
 */
let pressureChart
let liquidLevelChart
let flowChart
let analysisChart
let entranceChart
//初始化Echarts
let initCharts = () =>{
    pressureChart = echarts.init(document.getElementById('pressure'));
    liquidLevelChart = echarts.init(document.getElementById('liquidLevel'));
    flowChart = echarts.init(document.getElementById('flow'));
    analysisChart = echarts.init(document.getElementById('analysis'));
    entranceChart = echarts.init(document.getElementById('entrance'));
}
let loadingEcharts = {
    text: 'loading',
    textColor: 'rgba(105,133,219, 1)',
    maskColor: 'rgba(202, 224, 252, 0.2)',
    fontSize: '20px',
}
/**
 * 搜索
 */
const pointList = ref([])
const pointId = ref();
const getPointList = async() =>{

    //区域列表
    let res = await pointApi().search({limit: 10000, page: 1})
    if(res.code == 200){
        pointList.value = res.data.list
        pointId.value = pointList.value[0].id
        console.log("获取监控点数据",pointList.value);
    }else{
        proxy.$modal.msgError('获取数据失败,请刷新再试！')
    }
}
//选中数据
const searchPoint = () =>{
    getListData({type:'1',pointId:pointId.value})
}
//报警相关
const alarmList = ref([
    // {text:'1.1号区域瞬时压力过大，水温过高',date:'2024-08-18 15:12:36'},
    // {text:'2.1号区域管道超过检修时间',date:'2024-08-18 15:12:36'},
    // {text:'3.2号区城瞬时压力过大',date:'2024-08-18 15:12:36'},
    // {text:'4.2号区域管道破损',date:'2024-08-1815:12:36'},
    // {text:'4.2号区域管道破损',date:'2024-08-1815:12:36'},
    // {text:'4.2号区域管道破损',date:'2024-08-1815:12:36'},
])
async function getAlarmData(){
    await dma().alarm({limit:10000,page:1}).then((res) =>{
        alarmList.value = res.data.list
    })
}

//获取液位监测数据
let liquidLevelList = [[],[],[]]
const getLiquidLevelList = async(val) =>{
    liquidLevelChart.showLoading(loadingEcharts)
    val.columnsCodeList = ['1001']
    let res = await dma().searchMonitor(val)
    liquidLevelChart.hideLoading()
    liquidLevelList = [[],[],[]]
    if(res.code == 200){
        res.data.forEach((item) =>{
            if(item.facilityCode === 'YWJ001' || item.facilityCode === 'YWJ002' || item.facilityCode === 'YWJ003'){
                liquidLevelList[0].push([item.uploadTimeView,Number(item.columnsValue)])
            }
            if(item.facilityCode === 'YWJ004' || item.facilityCode === 'YWJ005' || item.facilityCode === 'YWJ006'){
                liquidLevelList[1].push([item.uploadTimeView,Number(item.columnsValue)])
            }
            // if(item.facilityName === '3#液位计'){
            //     liquidLevelList[2].push([item.uploadTimeView,Number(item.columnsValue)])
            // }
        })
    }else{
        // proxy.$modal.msgError('暂无液位数据')
    }
    setOptions(liquidLevelList,liquidLevelChart,['1#液位计','高位水池液位','3#液位计'],'( m3/h )')
    console.log('pre-get',liquidLevelList);
}
//获取压力监测数据
let pressureList = [[],[],[]]
const getPressureList = async(val) =>{
    pressureChart.showLoading(loadingEcharts)
    val.columnsCodeList = ['1002']
    let res = await dma().searchMonitor(val)
    pressureChart.hideLoading()
    pressureList = [[],[],[]]
    if(res.code == 200){
        res.data.forEach((item) =>{
            if(item.facilityCode === '000243617545' || item.facilityCode === '000243617546' || item.facilityCode === '000243617547'){
                pressureList[0].push([item.uploadTimeView,Number(item.columnsValue)])
            }
            // if(item.facilityName === '压力计2'){
            //     pressureList[1].push([item.uploadTimeView,Number(item.columnsValue)])
            // }
            // if(item.facilityName === '压力计3'){
            //     pressureList[2].push([item.uploadTimeView,Number(item.columnsValue)])
            // }
        })
    }else{
        // proxy.$modal.msgError('获取列表失败,请刷新重试！')
    }
    setOptions(pressureList,pressureChart,['1#压力计','2#压力计','3#压力计'],'( Mpa )')
    console.log('pre-get',pressureList);
}
//获取流量监测数据
let flowList = [[],[],[]]
const getFlowList = async(val) =>{
    flowChart.showLoading(loadingEcharts)
    val.columnsCodeList = ['1012']
    let res = await dma().searchMonitor(val)
    flowChart.hideLoading()
    flowList = [[],[],[]]
    if(res.code == 200){
        res.data.forEach((item,index) =>{
            if(item.facilityCode === 'LLJ001' || item.facilityCode === 'LLJ002' || item.facilityCode === 'LLJ003'){
                flowList[0].push([item.uploadTimeView,Number(item.columnsValue)])
            }
            // if(item.facilityName === '2#流量计'){
            //     flowList[1].push([item.uploadTimeView,Number(item.columnsValue)])
            // }
            // if(item.facilityName === '3#流量计'){
            //     flowList[2].push([item.uploadTimeView,Number(item.columnsValue)])
            // }
            // data.push([item.uploadTimeView,Number(item.columnsValue)])
        })
    }else{
        proxy.$modal.msgError('获取列表失败,请刷新重试！')
    }
    console.log('flowList',flowList)
    setOptions(flowList,flowChart,['1#流量计','2#流量计','3#流量计'],'( t )')
}

//获取夜间流量监测数据
let flowNightList = [[],[],[]]
const getAnalysisList = async(val) =>{
    analysisChart.showLoading(loadingEcharts)
    val.columnsCodeList = ['1012']
    let res = await dma().searchStatistic(val)
    analysisChart.hideLoading()
    flowNightList = [[],[],[]]
    if(res.code == 200){
        res.data.forEach((item,index) =>{
            if(item.facilityCode === 'LLJ001' || item.facilityCode === 'LLJ002' || item.facilityCode === 'LLJ003'){
                flowNightList[0].push([item.uploadTimeView,Number(item.columnsValue)])
            }
            // if(item.facilityName === '2#流量计'){
            //     flowNightList[1].push([item.uploadTimeView,Number(item.columnsValue)])
            // }
            // if(item.facilityName === '3#流量计'){
            //     flowNightList[2].push([item.uploadTimeView,Number(item.columnsValue)])
            // }
        })
    }else{
        proxy.$modal.msgError('获取列表失败,请刷新重试！')
    }
    console.log('flowNightList',flowNightList)
    setOptions(flowNightList,analysisChart,['1#流量计','2#流量计','3#流量计'],'( t )')
}
/**
 *  echart配置
 *
 */
const setOptions = (datalist,echart,title,yAxisTitle) =>{
    let options = {
        tooltip: {
            trigger: 'axis',
            axisPointer: {
                type: 'line' ,
                lineStyle:{
                    color:'#f3eadc',
                },
                snap:true,
            },
        },
        grid:{
            width:'80%',
            left:'8%',
            bottom: '12%'
        },
        xAxis: {
            name:'Date',
            type: 'time',//横坐标设为时间，根据data当日时间自动对应，data横坐标为时间格式
            axisTick:{
                show:false,
            },
            axisLabel:{
                show:false,
            },
            axisLine:{
                show:true,
                lineStyle:{
                    color:'#bdc3c7',
                    width:1,
                },
            },
        },
        yAxis: {
            name:yAxisTitle,
            type: 'value',
            boundaryGap:false,
            axisLine:{
                show:true,
                lineStyle:{
                    color:'#bdc3c7',
                    width:1,
                },
            },
            axisLabel:{
                color:'#C8C8C8',
            },
            splitLine:{
                show:false,
            }
        },
        series: [
            {
                name: title[0],
                type: 'line',
                symbol: 'none',
                data:datalist[0],
                itemStyle: {
                    color: '#1459a8',
                },
                lineStyle:{
                    color: '#1459a8',
                    width:1,
                },

                labelLine:{
                    show:false,
                },
                smooth:true,
                areaStyle: {
                    color: new echarts.graphic.LinearGradient(
                        0, 0, 0, 1,
                        [
                            {offset: 0, color:'#1459a8'},
                            {offset: 1, color:'#7cb2f1'}
                        ]
                    )
                }
            },
            {
                name:  title[1],
                type: 'line',
                symbol: 'none',
                data:datalist[1],
                itemStyle: {
                    color: '#12835c',
                },
                lineStyle:{
                    color: '#12835c',
                    width:1,
                },
                smooth:true,
                areaStyle: {
                    color: new echarts.graphic.LinearGradient(
                        0, 0, 0, 1,
                        [
                            {offset: 0, color:'#12835c'},
                            {offset: 1, color:'#ace4d1'}
                        ]
                    )
                }
            },
            {
                name:  title[2],
                type: 'line',
                symbol: 'none',
                data:datalist[2],
                itemStyle: {
                    color: '#04748c',
                },
                lineStyle:{
                    color: '#04748c',
                    width:1,
                },
                smooth:true,
                areaStyle: {
                    color: new echarts.graphic.LinearGradient(
                        0, 0, 0, 1,
                        [
                            {offset: 0, color:'#04748c'},
                            {offset: 1, color:'#7fd8ec'}
                        ]
                    )
                }
            }
        ],
    }
    echart.clear()
    echart.setOption(options,true)
}

//DMA入口水量曲线
const getListEntrance = () =>{
    const entranceList = [
        ['2024-08-12 02:10:00', 4],
        ['2024-08-12 02:23:00', 5],
        ['2024-08-12 03:53:00', 6],
        ['2024-08-12 05:23:00', 7],
        ['2024-08-12 07:33:00', 12],
        ['2024-08-12 09:43:00', 6],
        ['2024-08-12 11:22:00', 3],
        ['2024-08-12 13:26:00', 10],
        ['2024-08-12 16:29:00', 11],
        ['2024-08-12 20:53:00', 20],
    ]
    setDmaOptions(entranceList,entranceChart,'| DMA入口水量曲线','流量','( t )')
}
//echart配置
const setDmaOptions = (dataList,chart,title,toolTitle,axisName) =>{
    let options = {
        tooltip: {
            trigger: 'axis',
            axisPointer: {
                type: 'line' ,
                lineStyle:{
                    color:'#f3eadc',
                },
                snap:true,
            },
        },
        grid: {
            width:'80%',
            left:'8%',
            bottom: '12%'
        },
        dataset: {
            source:dataList
        },
        xAxis: {
            name:'Date',
            type: 'time',
            axisTick:{
                show:false,
            },
            axisLabel:{
                show:false,
            },
            axisLine:{
                show:true,
                lineStyle:{
                    color:'#bdc3c7',
                    width:1,
                },
            },
        },
        yAxis: {
            name:axisName,
            type: 'value',
            boundaryGap:false,
            axisLine:{
                show:true,
                lineStyle:{
                    color:'#bdc3c7',
                    width:1,
                },
            },
            axisLabel:{
                color:'#C8C8C8',
            },
            splitLine:{
                show:false,
            }
        },
        series: [
            {
                name: toolTitle,
                type: 'line',
                symbol: 'none',
                itemStyle: {
                    color: '#47B3FF',
                },
                lineStyle:{
                    color: '#47B3FF',
                    width:1,
                },
                smooth:true,
                encode: {
                    x: 0,
                    y: 1
                },
                areaStyle: {
                    color: new echarts.graphic.LinearGradient(
                        0, 0, 0, 1,
                        [
                            {offset: 0, color:'#55A5EB'},
                            {offset: 1, color:'#fff'}
                        ]
                    )
                }
            }
        ],
    }
    chart.clear()
    chart.setOption(options,true)
}
//统一请求数据监测数据
const getListData = async(val) =>{
    getPressureList(val)
    getFlowList(val)
    getAnalysisList(val)
    getLiquidLevelList(val)
}
/**
 * 表格上传记录-Table
 */
const loading = ref(false); //加载状态
const tableData = ref([
    {
        "valveName": "6#0094",
        "operateCommand": "开阀",
        "createUserName": "管理员",
        "createTimeView": "2025-01-03 10:50:12"
    },{
        "valveName": "6#0094",
        "operateCommand": "开阀",
        "createUserName": "管理员",
        "createTimeView": "2025-01-03 10:50:12"
    },{
        "valveName": "6#0094",
        "operateCommand": "开阀",
        "createUserName": "管理员",
        "createTimeView": "2025-01-03 10:50:12"
    },{
        "valveName": "6#0094",
        "operateCommand": "开阀",
        "createUserName": "管理员",
        "createTimeView": "2025-01-03 10:50:12"
    },{
        "valveName": "6#0094",
        "operateCommand": "开阀",
        "createUserName": "管理员",
        "createTimeView": "2025-01-03 10:50:12"
    },{
        "valveName": "6#0094",
        "operateCommand": "开阀",
        "createUserName": "管理员",
        "createTimeView": "2025-01-03 10:50:12"
    },,{
        "valveName": "6#0094",
        "operateCommand": "开阀",
        "createUserName": "管理员",
        "createTimeView": "2025-01-03 10:50:12"
    },{
        "valveName": "6#0094",
        "operateCommand": "开阀",
        "createUserName": "管理员",
        "createTimeView": "2025-01-03 10:50:12"
    },{
        "valveName": "6#0094",
        "operateCommand": "开阀",
        "createUserName": "管理员",
        "createTimeView": "2025-01-03 10:50:12"
    },
]); //管点列表
let  tableHeader = ref({
        // areaCode: '操作方式',
        valveName: '操作阀门',
        operateCommand: '操作说明',
        // userNumber: '灌溉时间',
        createUserName:'操作人',
        createTimeView:'操作时间',
})
//获取列表数据
const getTableList = async() => {
    loading.value = true;
    let res = await dma().headWaterArea(['1013','1012'])
    if(res.code == 200) {
        loading.value = false;
        tableData.value = res.data
    }
}

const tableData2 = ref([
    {
        "sort": 1,
        "name": "策略一",
        "linkageType": 936,
        "linkageCommand": "37cccb",
        "taskTimeType": 243,
        "taskTimeValue": "每周一",
        "taskTime": "2025-01-03 10:50:08",
        "status": 897,
        "comment": "7f1h1u",
        "createTime": 1735872608980,
        "updateTime": "2025-01-03 10:50:13",
        "isDelete": 373,
        "createTimeView": "jpisvy",
        "updateTimeView": "82cz1k"
    }, {
        "sort": 2,
        "name": "策略二",
        "linkageType": 936,
        "linkageCommand": "37cccb",
        "taskTimeType": 243,
        "taskTimeValue": "每周日",
        "taskTime": "2025-01-03 10:50:08",
        "status": 897,
        "comment": "7f1h1u",
        "createTime": 1735872608980,
        "updateTime": "2025-01-03 10:50:13",
        "isDelete": 373,
        "createTimeView": "jpisvy",
        "updateTimeView": "82cz1k"
    }
]); //管点列表
let  tableHeader2 = ref({
        sort: '序号',
        name: '策略名称',
        taskTimeValue: '执行周期',
       // taskTime: '创建时间',
      
})
//获取列表数据
const getTableList2 = async() => {
    loading.value = true;
    let res = await dma().headWaterArea(['1013','1012'])
    if(res.code == 200) {
        loading.value = false;
        tableData2.value = res.data
    }
}
watchEffect(() =>{
    if(pressureChart ||  flowChart || analysisChart || analysisChart){
        setOptions(flowList,flowChart,['1#流量计','2#流量计','3#流量计'])
        setOptions(pressureList,pressureChart,['1#压力计','2#压力计','3#压力计'])
        setOptions(liquidLevelList,liquidLevelChart,['1#液位计','2#液位计','3#液位计'])
        setOptions(flowNightList,analysisChart,['1#流量计','2#流量计','3#流量计'],'( t )')
    }else{
        console.log('eChart不存在');
    }
})
window.addEventListener('resize', function() {
    // pressureChart.resize();
    // liquidLevelChart.resize();
    // flowChart.resize();
    // analysisChart.resize();
    // entranceChart.resize();

});
onMounted(async() =>{
    // initCharts()
    // getListEntrance()
    // await getPointList()
    // await getTableList()
    // await getTableList2()
    // await getListData({type:'1',pointId:pointId.value})
    // await getAlarmData()
})
//卸载前销毁图表
const disposeEcharts = (echarts) => {
    if (echarts) {
        echarts.dispose();
        echarts = null;
    }
}
onBeforeUnmount(async ()=> {
    // disposeEcharts(pressureChart)
    // disposeEcharts(liquidLevelChart)
    // disposeEcharts(flowChart)
    // disposeEcharts(analysisChart)
    // disposeEcharts(entranceChart)
})

</script>

<style lang="scss" scoped>
.dma-container{
    height:100%;
    width: 100%;
    padding: 50px 15px;
    .content{
        display: flex;
        align-items: center;
        justify-content: space-between;
        height: 100%;
        width: 100%;
        .contbox{
            width: 429px;
            height: 100%;
            background: url("../../../assets/images/screen/irrigate/leftbox.png")
                100% no-repeat;
            background-size: 100% 100%;
            position: relative;
            z-index: 55;
            .table-box{
                height:86%;
                width:100%;

                background-repeat: no-repeat;
                background-size: 98% 100%;
                background-position: center;
                padding: 0 2%;
                //修改边框和字体
                :deep(.el-table){
                    --el-table-border-color:rgba(0,0,0,0);
                    font-weight: 500;
                    font-size: 14px;
                    color: #FFFFFF;
                }
                //修改头部字体
                :deep(.el-table__header th){
                    font-weight: 500;
                    font-size: 12px;
                    color: #FFFFFF;
                }
                /*最外层透明*/
                :deep(.el-table),
                :deep(.el-table__expanded-cell){
                    background-color: transparent !important;
                }
                /* 表格内背景颜色 */
                :deep(.el-table th),
                :deep(.el-table tr),
                :deep(.el-table td){
                    background-color: transparent !important;
                    border-bottom:1px solid #1D627D !important;
                }
                //:deep(.el-table tr){
                //    border:1px solid #000 !important;
                //}
                /*去除底边框*/
                :deep(.el-table td.el-table__cell){
                    border:0;
                }
                :deep(.el-table th.el-table__cell.is-leaf) {
                    border: 0;
                }
                /*去除底部灰条.el-table::before*/
                :deep(.el-table::before) {
                    display: none;
                }
            }
        }
        .titbox{
            
            width: 216px;
            height: 42px;
            font-weight: 400;
            font-size: 20px;
            color: #FFFFFF;
            position: relative;
            z-index: 66;
            margin-bottom: 40px;
           
        }   
        .titbox>img{
            width: 100%;
            height: 100%;
            margin: 16px;
        }
        .titbox>span{
            position: absolute;
            left: 70px;
            top: 20px;
        }
        .left{
      
    

        }
        .main{
            width: 991px;
            height: 100%;
            background: url("../../../assets/images/screen/irrigate/leftbox.png")
                100% no-repeat;
            background-size: 100% 100%;
            position: relative;
            .circle{
                    width:253px;
                    height:253px;
                    position: absolute;
                  
                    bottom: 0;
                    left: 0;
                }
            .map{
                height:583px;
                width: 966px;
                position: relative;
                background: url("../../../assets/images/screen/irrigate/mapbg.png")
                100% no-repeat;
            background-size: 100% 100%;
            margin: 0 auto;
                .map-img{
                    position: absolute;
                    top: 273px;
                    right: 412px;
                    width:72%;
                    height:92%;
                    img{
                        width:100%;
                        height:100%;
                    }
                }
               
                .map-text1{
                    position: absolute;
                    top:65%;
                    left:32%;
                    font-weight: 400;
                    font-size: 14px;
                    color: #FFFFFF;
                    font-style: italic;
                }
                .map-text2{
                    position: absolute;
                    top:26%;
                    left:60%;
                    font-weight: 400;
                    font-size: 14px;
                    color: #FFFFFF;
                    font-style: italic;
                }
                .map-text3{
                    position: absolute;
                    top: 50.5%;
                    left: 64.5%;
                    font-weight: 400;
                    font-size: 14px;
                    color: #FFFFFF;
                    font-style: italic;
                }
                .map-text4{
                    position: absolute;
                    top:65.5%;
                    left:55%;
                    font-weight: 400;
                    font-size: 14px;
                    color: #FFFFFF;
                    font-style: italic;
                }
                .point{
                    width: 24%;
                    height: 24%;
                    background-image: url("../../../assets/images/screen/dma/alert.png");
                    background-repeat: no-repeat;
                    background-size: 100% 100%;
                    padding: 2% 3% 1%;
                    display: flex;
                    flex-direction: column;
                    justify-content: space-evenly;
                    .point-name{
                        width: 100%;
                        font-weight: 500;
                        font-size: 18px;
                        color: #BEF0FF;
                    }
                    .point-content{
                        width: 100%;
                        margin-top:1%;
                        div{
                            width: 100%;
                            display: flex;
                            justify-content:space-between;
                            margin-left: 10px;
                            margin-top:3%;
                            span:first-child{
                                font-weight: 500;
                                font-size: 16px;
                                color: #A4ECF5;
                                // margin-right: 15px;
                            }
                            span:last-child{
                                font-weight: 500;
                                font-size: 14px;
                                color: #FFFFFF;
                            }
                        }
                    }
                }
                .point-one{
                    top:6%;
                    left: 15%;
                    position: absolute;
                }
                .point-two{
                    bottom:43%;
                    left: 9%;
                    position: absolute;
                }
                .point-three{
                    right:73%;
                    top: 62%;
                    position: absolute;
                }
                img{
                    width:48px;
                    height:80px;
                    position: absolute;
                    bottom: calc(50% - 40px);
                    left: calc(50% - 24px)
                }
            }
          
        }
        .right{
            
     
        }
    }
}
.img{
    img{
        width: 100%;
        height: 100%;
    }
}
.clcbox{
    width: 56px;
    padding: 2px;
    background: rgba(0,211,222,.5);
    border: 2px solid rgba(0,211,222,1);
    border-radius: 16px;
}
</style>